Loading...
Searching...
No Matches
generalvertexorder.hh File Reference
`#include <algorithm>`
`#include <cassert>`
`#include <cstddef>`
`#include <iterator>`
`#include <vector>`
`#include <dune/common/iteratorfacades.hh>`
`#include "type.hh"`
`#include <dune/geometry/referenceelements.hh>`

Go to the source code of this file.

## Classes

class | Dune::GeneralVertexOrder< dim, Index_ >
| Class providing information on the ordering of vertices. More...
class | Dune::GeneralVertexOrder< dim, Index_ >::iterator
| Iterate over the vertex indices of some sub-entity. More...

## Namespaces

namespace | Dune

## Functions

template<class InIterator, class OutIterator>
void | Dune::reduceOrder (const InIterator &inBegin, const InIterator &inEnd, OutIterator outIt)
| Algorithm to reduce vertex order information.